Get a custom property definition

​

Read one custom property definition owned by your organization.

Path Parameters

Responses

  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/external/v2/custom-properties/{customPropertyDefinitionId}
curl https://sales-api.artemis.solar/external/v2/custom-properties/123e4567-e89b-12d3-a456-426614174000 \
  --header 'x-api-key: YOUR_SECRET_TOKEN'
Custom property definition
{
  "data": {
    "id": "6c1f0c3e-2d8a-4b7e-9c11-8a4e1d2b7f90",
    "name": "Roof Color",
    "fieldType": "text",
    "defaultValue": "Charcoal",
    "description": "Exterior roof color selected by the homeowner",
    "customFieldCategoryId": null,
    "projectStageId": null,
    "ctaLabel": null,
    "linkUrl": null,
    "order": 1,
    "isRequired": false,
    "customActionsOptions": null,
    "linkedEquipmentCategories": [],
    "createdAt": "2026-09-05T12:00:00.000Z",
    "updatedAt": "2026-09-05T12:00:00.000Z"
  }
}